A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
lgamma
ArrayFire Functions | ArrayFire Functions by Category » Mathematical functions » Exponential and logarithmic functions

## Functions
array | lgamma (const array &in)
| C++ Interface to evaluate the logarithm of the absolute value of the gamma function.
af_err | af_lgamma (af_array *out, const af_array in)
| C Interface to evaluate the logarithm of the absolute value of the gamma function.

## Detailed Description

Evaluate the logarithm of the absolute value of the gamma function.

Note
  This function only supports real inputs; complex inputs are not yet supported.

## Function Documentation

## ◆ af_lgamma()

af_err af_lgamma | ( | af_array * | out,
|  | const af_array | in )

C Interface to evaluate the logarithm of the absolute value of the gamma function.

Parameters

  [out] | out | logarithm of the absolute value of the gamma function
  [in] | in | input array

Returns
  AF_SUCCESS, if function returns successfully, else an af_err code is given

## ◆ lgamma()

array lgamma | ( | const array & | in | ) |

C++ Interface to evaluate the logarithm of the absolute value of the gamma function.

Parameters

  [in] | in | input

Returns
  logarithm of the absolute value of the gamma function